#################################################
#
#  (C) 2011 Timothy Pearson
#  kb9vqf (AT) pearsoncomputing.net
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/kbfxlib/common
  ${CMAKE_SOURCE_DIR}/kbfxlib/data
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${CMAKE_BINARY_DIR}/kbfxlib/common
  ${CMAKE_BINARY_DIR}/kbfxlib/data
)


##### kbfxspinx ##################################

set( target kbfxspinx )

set( ${target}_SRCS
  kbfxbutton.cpp kbfxplasmacanvasabstractitem.cpp kbfxplasmacanvasgroup.cpp
  kbfxplasmacanvasgroupview.cpp kbfxplasmacanvasitem.cpp kbfxplasmacanvasitem_events.cpp
  kbfxplasmacanvasitemwrapper.cpp kbfxplasmacanvasstack.cpp kbfxplasmacanvasview.cpp
  kbfxplasmaindexitem.cpp kbfxplasmaindexview.cpp kbfxspinx.cpp kbfxspinxmenu.cpp
  kbfxspinxpopup.cpp kbfxspinxscrollbar.cpp kbfxspinxtoolbar.cpp kbfxspinxtoolbutton.cpp
  kbfxspinxtop.cpp kbfxspinxview.cpp kbfxtooltip.cpp kbfxspinx.skel
)

tde_add_kpart( ${target} AUTOMOC
  SOURCES ${${target}_SRCS}
  LINK tdecore-shared tdeui-shared tdeio-shared kbfxcommon kbfxdata
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### desktop files ###############################

INSTALL(FILES kbfxspinx.desktop DESTINATION ${DATA_INSTALL_DIR}/kicker/applets)
